# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Platform Independent Library for MIDI"
HOMEPAGE="http://www.cs.cmu.edu/~music/portmusic/portmidi/"
MY_P="${PN}-src-${PV}"
SRC_URI="${HOMEPAGE}/${MY_P}.zip"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
DEPEND="media-libs/alsa-lib"
S="${WORKDIR}/${PN}"

src_unpack() {
	unpack ${A}                    || die "unpack failed"
	cd ${S}
	epatch "${FILESDIR}/${P}.diff" || die "epatch failed"
}

src_compile() {
	emake -f pm_linux/Makefile -j1 || die "emake failed"
}

src_install() {
	ln -s libportmidi.so.0.0.0 pm_linux/libportmidi.so.0
	ln -s libportmidi.so.0 pm_linux/libportmidi.so
	ln -s libporttime.so.0.0.0 porttime/libporttime.so.0
	ln -s libporttime.so.0 porttime/libporttime.so
	dolib.so pm_linux/libportmidi.so* porttime/libporttime.so*
	dolib.a pm_linux/libportmidi.a porttime/libporttime.a
	insinto /usr/include
	doins pm_common/portmidi.h porttime/porttime.h
	insinto /usr/lib/portmidi
	INSOPTIONS="${EXEOPTIONS}" doins \
		pm_test/{latency,midithread,midithru,sysex,test}
	dodoc license.txt README.txt pm_linux/README_LINUX.txt
}
